Index: trunk/import/Flurst_Oeff_Eigentum/oeff_FS_gkz.sql
===================================================================
--- trunk/import/Flurst_Oeff_Eigentum/oeff_FS_gkz.sql	(revision 429)
+++ trunk/import/Flurst_Oeff_Eigentum/oeff_FS_gkz.sql	(revision 429)
@@ -0,0 +1,191 @@
+
+-- ====================================================================================================================
+-- FlurstÃŒcke im Ã¶ffentlichen Besitz aus ALKIS selektieren fÃŒr WMS  -  Ebenen "Stadt" und "Kreis",  GKZ-spezifisch
+-- ====================================================================================================================
+
+-- Hier: Muster fÃŒr die VerÃ¶ffentlichung. 
+-- Der String *gkz* ist durch die Mandanten-Nummer (Gemeinde-Kenn-Ziffer) zu ersetzen.
+-- Individuelle Bearbeitung fÃŒr jeden Mandanten notwendig. Die Namen der vorkommenden EigentÃŒmer mÃŒssen analysiert und angepasst werden.
+
+-- Stand:
+--  2018-11-21 Erweiterung/Aufteilung [Stadt/Kreis/Sonstige]/[Land/Bund]
+
+-- Der WMS (aus View "oeff_flurst[gkz][s|k|l|b][e|r]") wird langsam, wenn er in einer kreisweiten Datenbank ausgefÃŒhrt wird.
+-- Das Filter-Feld benÃ¶tigt einen Index:
+--DROP INDEX if exists ax_person_nname;
+CREATE INDEX ax_person_nname
+  ON ax_person USING btree (nachnameoderfirma COLLATE pg_catalog."default");
+
+
+-- ----------------------------------------------
+-- S t a d t
+-- ----------------------------------------------
+ 
+-- Version "Eigentum"
+--        DROP    VIEW oeff_flurst*gkz*se;
+CREATE OR REPLACE VIEW oeff_flurst*gkz*se
+AS
+  SELECT f.gml_id, f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle s  ON f.istgebucht = s.gml_id        -- Buchungs-Stelle
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p          ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND p.nachnameoderfirma LIKE 'Stadt ___%'; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+COMMENT ON VIEW oeff_flurst*gkz*se  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *S*tadt (___) *E*igentum. FÃŒr WMS: nur ID und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst*gkz*se TO ms7;
+
+
+-- Version "Recht an"
+--        DROP    VIEW oeff_flurst*gkz*sr;
+CREATE OR REPLACE VIEW oeff_flurst*gkz*sr
+AS
+  SELECT  f.gml_id, di.buchungsart, -- Buchungsart der dienenden Buchung
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle di ON f.istgebucht = di.gml_id       -- dienende Buchung
+  JOIN ax_buchungsstelle s  ON di.gml_id = ANY (s.an)         -- herrschende Buchung
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person         p  ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND di.endet IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND p.nachnameoderfirma LIKE 'Stadt ___%'; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+COMMENT ON VIEW oeff_flurst*gkz*sr  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *S*tadt (Lage) *R*echte. FÃŒr WMS: nur ID, Buchungsart und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst*gkz*sr TO ms7;
+
+
+-- ----------------------------------------------
+-- K r e i s 
+-- ----------------------------------------------
+
+-- Version "Eigentum"
+--        DROP    VIEW oeff_flurst*gkz*ke;
+CREATE OR REPLACE VIEW oeff_flurst*gkz*ke
+AS
+  SELECT 
+     f.gml_id,         -- UNIQUE KEY  
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle s  ON f.istgebucht = s.gml_id        -- Buchungs-Stelle
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p          ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND p.nachnameoderfirma = 'Kreis ___'; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+
+COMMENT ON VIEW oeff_flurst*gkz*ke  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *K*reis *E*igentum. FÃŒr WMS: nur ID und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst*gkz*ke TO ms7;
+
+
+-- Version "Recht an"
+--        DROP    VIEW oeff_flurst*gkz*kr;
+CREATE OR REPLACE VIEW oeff_flurst*gkz*kr
+AS
+  SELECT 
+     f.gml_id,       -- UNIQUE KEY 
+     s.buchungsart,  -- Buchungsart
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle di ON f.istgebucht = di.gml_id       -- dienende Buchung
+  JOIN ax_buchungsstelle s  ON di.gml_id = ANY (s.an)         -- herrschende Buchung
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person         p  ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND di.endet IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND p.nachnameoderfirma = 'Kreis ___'; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+COMMENT ON VIEW oeff_flurst*gkz*kr  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *K*reis *R*echte. FÃŒr WMS: nur ID, Buchungsart und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst*gkz*kr TO ms7;
+
+-- auch QGIS
+GRANT SELECT ON TABLE oeff_flurst*gkz*kr TO balkis0*gkz*;
+
+
+-- ----------------------------------------------
+-- A n d e r e
+-- ----------------------------------------------
+ 
+-- Version "Eigentum"
+--        DROP    VIEW oeff_flurst*gkz*ae;
+CREATE OR REPLACE VIEW oeff_flurst*gkz*ae
+AS
+  SELECT 
+     f.gml_id,         -- UNIQUE KEY  
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle s  ON f.istgebucht = s.gml_id        -- Buchungs-Stelle
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p          ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND ( p.nachnameoderfirma LIKE 'Stadtwerke%'
+     OR  p.nachnameoderfirma LIKE 'Landesverband Lippe%'
+     OR  p.nachnameoderfirma LIKE 'Werre-Wasserverband%'
+     OR  p.nachnameoderfirma LIKE 'Landschaftsverband Westfalen Lippe%'
+     OR (p.nachnameoderfirma LIKE 'Stadt %' AND NOT p.nachnameoderfirma LIKE 'Stadt ___%')  -- Nachbar-Stadt
+     ) ; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+
+COMMENT ON VIEW oeff_flurst*gkz*ae  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *A*ndere *E*igentum. FÃŒr WMS: nur ID und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst*gkz*ae TO ms7;
+
+-- auch QGIS
+GRANT SELECT ON TABLE oeff_flurst*gkz*ae TO balkis0*gkz*;
+
+-- Version "Recht an"
+--        DROP    VIEW oeff_flurst*gkz*ar;
+CREATE OR REPLACE VIEW oeff_flurst*gkz*ar
+AS
+  SELECT 
+     f.gml_id,       -- UNIQUE KEY 
+     s.buchungsart,  -- Buchungsart
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle di ON f.istgebucht = di.gml_id       -- dienende Buchung
+  JOIN ax_buchungsstelle s  ON di.gml_id = ANY (s.an)         -- herrschende Buchung
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person         p  ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND di.endet IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND ( p.nachnameoderfirma LIKE 'Stadtwerke%'
+     OR  p.nachnameoderfirma LIKE 'Landesverband Lippe%'
+     OR  p.nachnameoderfirma LIKE 'Werre-Wasserverband%'
+     OR  p.nachnameoderfirma LIKE 'Landschaftsverband Westfalen Lippe%'
+     OR (p.nachnameoderfirma LIKE 'Stadt %' AND NOT p.nachnameoderfirma LIKE 'Stadt ___%')
+     ) ; -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+COMMENT ON VIEW oeff_flurst*gkz*ar  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *A*ndere *R*echte. FÃŒr WMS: nur ID, Buchungsart und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst*gkz*ar TO ms7;
+
+-- the HAPPY end --
Index: trunk/import/Flurst_Oeff_Eigentum/oeff_FS_Land_Bund.sql
===================================================================
--- trunk/import/Flurst_Oeff_Eigentum/oeff_FS_Land_Bund.sql	(revision 429)
+++ trunk/import/Flurst_Oeff_Eigentum/oeff_FS_Land_Bund.sql	(revision 429)
@@ -0,0 +1,216 @@
+
+-- ====================================================================================================================
+-- FlurstÃŒcke im Ã¶ffentlichen Besitz aus ALKIS selektieren -  Ebenen "Land" und Bund",  n i c h t  GKZ-spezifisch
+-- ====================================================================================================================
+
+-- Stand:
+--  2019-09-16 Bei "Recht an" die Buchungsart der herrschenden Buchung verwenden.
+--  2022-02-10 Neuer View "Anlieger"
+
+-- Die Ebenen "Stadt" (Gemeinde), "Kreis" und "Sonstige" werden GKZ-spezifisch definiert und berechtigt. Eine *.sql-Datei je Mandant.
+
+-- ----------------------------------------------
+-- L a n d 
+-- ----------------------------------------------
+
+-- Version "Eigentum"
+--        DROP    VIEW oeff_flurst_le;
+CREATE OR REPLACE VIEW oeff_flurst_le
+AS
+  SELECT 
+     f.gml_id,         -- UNIQUE KEY  
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle s  ON f.istgebucht = s.gml_id        -- Buchungs-Stelle
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p          ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND (p.nachnameoderfirma LIKE 'Land Nord%West%' 
+     OR p.nachnameoderfirma LIKE 'Landesbetrieb StraÃen%'
+     OR p.nachnameoderfirma LIKE 'Land Niedersachsen%'); -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+-- Land Niedersachsen DomÃ€nenverwaltung, 
+-- Land Niedersachsen StaatsbÃ€derverwaltung, 
+-- Land Nordrhein-Westfalen,
+-- Land Nordhein-Westfalen Landesbetrieb StraÃenbau,   -- ACHTUNG SCHREIBFEHLER !!
+-- Land Nordrhein-Westfalen Bau- und Liegenschaftsbetrieb NRW, 
+-- Land Nordrhein-Westfalen(Fiskus), Bezirksregierung Detmold
+-- Land Nordrhein-WestfalenLandesbetrieb StraÃenbau, 
+-- Land Nordrhein-Westfalen Landesbetrieb StraÃenbau, 
+-- Land Nordrhein-Westfalen, vertreten durch die Bezirksregierung Detmold, 
+-- Landesbetrieb StraÃenbau Nordrhein-Westfalen, 
+-- Landesbetrieb StraÃenbau NRW-Niederlassung Bielefeld, 
+
+-- Aber:
+-- Landesverband Lippe, 
+
+COMMENT ON VIEW oeff_flurst_le  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *L*and *E*igentum. FÃŒr WMS: nur ID und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst_le TO ms7;
+
+
+-- Version "Recht an"
+--        DROP    VIEW oeff_flurst_lr;
+CREATE OR REPLACE VIEW oeff_flurst_lr
+AS
+  SELECT 
+     f.gml_id,       -- UNIQUE KEY 
+     s.buchungsart,  -- Buchungsart der herrschenden Buchung
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle di ON f.istgebucht = di.gml_id       -- dienende Buchung
+  JOIN ax_buchungsstelle s  ON di.gml_id = ANY (s.an)         -- herrschende Buchung
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person         p  ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND di.endet IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND (p.nachnameoderfirma LIKE 'Land Nord%West%' 
+     OR p.nachnameoderfirma LIKE 'Landesbetrieb StraÃen%'
+     OR p.nachnameoderfirma LIKE 'Land Niedersachsen%'); -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+COMMENT      ON VIEW  oeff_flurst_lr  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *L*and *R*echte. FÃŒr WMS: nur ID, Buchungsart und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst_lr  TO ms7;
+
+
+-- ----------------------------------------------
+-- B u n d 
+-- ----------------------------------------------
+
+-- Version "Eigentum"
+--        DROP    VIEW oeff_flurst_be;
+CREATE OR REPLACE VIEW oeff_flurst_be
+AS
+  SELECT 
+     f.gml_id,         -- UNIQUE KEY  
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle s  ON f.istgebucht = s.gml_id        -- Buchungs-Stelle
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p          ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND (p.nachnameoderfirma LIKE 'Bundesanstalt%' 
+     OR p.nachnameoderfirma LIKE 'Bundesrepublik%'
+     OR p.nachnameoderfirma LIKE 'BundesvermÃ¶gensamt%'); -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+-- Bundesanstalt
+-- Bundesrepublik
+-- BundesvermÃ¶gensamt,
+
+COMMENT ON VIEW oeff_flurst_be  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *B*und *E*igentum. FÃŒr WMS: nur ID und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst_be TO ms7;
+
+
+-- Version "Recht an"
+--        DROP    VIEW oeff_flurst_br;
+CREATE OR REPLACE VIEW oeff_flurst_br
+AS
+  SELECT 
+     f.gml_id,       -- UNIQUE KEY 
+     s.buchungsart,  -- Buchungsart der herrschenden Buchung
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle di ON f.istgebucht = di.gml_id       -- dienende Buchung
+  JOIN ax_buchungsstelle s  ON di.gml_id = ANY (s.an)         -- herrschende Buchung
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person         p  ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND di.endet IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND (p.nachnameoderfirma LIKE 'Bundesanstalt%' 
+     OR p.nachnameoderfirma LIKE 'Bundesrepublik%'
+     OR p.nachnameoderfirma LIKE 'BundesvermÃ¶gensamt%'); -- ** EIGENTÃMER / ERBBAUBERECHTIGTER **
+
+COMMENT      ON VIEW  oeff_flurst_br  IS 'FlurstÃŒcke in Ãffentlichen Besitz. Hier: *B*und *R*echte. FÃŒr WMS: nur ID, Buchungsart und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst_br  TO ms7;
+
+
+-- ----------------------------------------------
+-- A n l i e g e r
+-- ----------------------------------------------
+-- Buchstabe "n" wie Nachbarn, "a" wird bereits verwendet fÃŒr "andere Ã¶ff."
+
+
+-- Version "Eigentum"
+--        DROP    VIEW oeff_flurst_ne;
+CREATE OR REPLACE VIEW oeff_flurst_ne
+AS
+  SELECT 
+     f.gml_id, 
+     f.wkb_geometry
+  FROM ax_flurstueck     f                                    -- FlurstÃŒck
+  JOIN ax_buchungsstelle s  ON f.istgebucht = s.gml_id        -- Buchungs-Stelle
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon  -- Buchung >istBestandteilVon> Blatt
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon -- Blatt <istBestandteilVon< NamNum
+  JOIN ax_person p          ON p.gml_id=nn.benennt            -- NamNum  >benennt> Person
+ WHERE f.endet  IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND (p.nachnameoderfirma LIKE 'Anlieger%'      -- Krs. HF
+     OR p.nachnameoderfirma LIKE 'Die Anlieger%'  -- Krs. LIP + Mi-Lk.
+   );
+
+-- "Anlieger, die EigentÃŒmer der UfergrundstÃŒcke,"
+
+COMMENT ON VIEW oeff_flurst_ne  IS 'FlurstÃŒcke (meist BÃ€che) im Anlieger-Eigentum. FÃŒr WMS: nur ID und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst_ne TO ms7;
+
+
+/* Keine FÃ€lle zu dieser Kombination "Anlieger"/"Recht an"
+
+-- Version "Recht an"
+--        DROP    VIEW oeff_flurst_nr;
+CREATE OR REPLACE VIEW oeff_flurst_nr
+AS
+  SELECT 
+     f.gml_id,
+     s.buchungsart,  -- Buchungsart der herrschenden Buchung
+     f.wkb_geometry
+  FROM ax_flurstueck     f
+  JOIN ax_buchungsstelle di ON f.istgebucht = di.gml_id
+  JOIN ax_buchungsstelle s  ON di.gml_id = ANY (s.an)
+  JOIN ax_buchungsblatt  gb ON gb.gml_id=s.istbestandteilvon
+  JOIN ax_namensnummer   nn ON gb.gml_id=nn.istbestandteilvon
+  JOIN ax_person         p  ON p.gml_id=nn.benennt
+ WHERE f.endet  IS NULL
+   AND di.endet IS NULL
+   AND s.endet  IS NULL
+   AND gb.endet IS NULL
+   AND nn.endet IS NULL
+   AND p.endet  IS NULL
+   AND (p.nachnameoderfirma LIKE 'Anlieger%'      -- Krs. HF
+     OR p.nachnameoderfirma LIKE 'Die Anlieger%'  -- Krs. LIP + Mi-Lk.
+   );
+
+COMMENT      ON VIEW  oeff_flurst_nr  IS 'FlurstÃŒcke (meist BÃ€che) im Anlieger-Eigentum Hier: *R*echt an .... FÃŒr WMS: nur ID, Buchungsart und Geometrie.';
+GRANT SELECT ON TABLE oeff_flurst_nr  TO ms7;
+
+*/
+
+
+/* Views in alle Mandanten-Datenbanken eintragen:
+
+  for gkz in 020 050 070 120 130 140 150 200 210 240 250 260 270 290 300 320 330 340 418 430 450 ; do echo $gkz; psql -d alkis0$gkz -v alkis_schema=public -f /data/projekte/postnas/oeff_FS_Land_Bund.sql ; done 
+
+*/
+
+-- the HAPPY end --